Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.spectral
Class BlackbodySpectralCurve

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp3d.spectral.SpectralCurve
              de.grogra.imp3d.spectral.BlackbodySpectralCurve

All Implemented Interfaces:
  Manageable, Shareable

    public class BlackbodySpectralCurve

extends SpectralCurve

Nested Class Summary
`static class` | `BlackbodySpectralCurve.Type`

Field Summary
`static BlackbodySpectralCurve.Type` | `$TYPE`
`static SCOType.Field` | `temp$FIELD`

Constructor Summary
`BlackbodySpectralCurve()`
`BlackbodySpectralCurve(float temp)`

Method Summary
`ManageableType` | `getManageableType()`
`float` | `sample(float lambda)` This function determines the actual spectral curve data.

Methods inherited from class de.grogra.imp3d.spectral.SpectralCurve
`toXYZ, toXYZ`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final BlackbodySpectralCurve.Type $TYPE

### temp$FIELD

    public static final SCOType.Field temp$FIELD

Constructor Detail

### BlackbodySpectralCurve

    public BlackbodySpectralCurve()

### BlackbodySpectralCurve

    public BlackbodySpectralCurve(float temp)

Method Detail

### getManageableType

    public ManageableType getManageableType()

### sample

    public float sample(float lambda)

  Description copied from class: `SpectralCurve`
  This function determines the actual spectral curve data. Note that the lambda parameter is assumed to be in nanometers.

  Specified by:
    `sample` in class `SpectralCurve`
  Parameters:
    `lambda` - wavelength to sample in nanometers
  Returns:
    the value of the spectral curve at this point

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD